import { PrimariaBroker } from '../broker/primaria-broker';
export interface QuickActionTask {
    taskId: string;
}
export declare abstract class QuickActionBusyManager {
    abstract addTask(task: QuickActionTask): void;
    abstract removeTask(taskId: string): void;
    abstract clearAll(): void;
    abstract isBusy(): boolean;
}
export declare class QuickActionBusyManagerImpl implements QuickActionBusyManager {
    private broker;
    private tasks;
    constructor(broker: PrimariaBroker);
    addTask(task: QuickActionTask): void;
    removeTask(taskId: string): void;
    isBusy(): boolean;
    clearAll(): void;
    private emitBusyChanged;
}
